@import '@styles/variables';

.input {
  min-width: 100px;
  height: 42px;
  border-radius: 4px;
  border: 1px solid $border-input-color;
  background-color: $color-white;
  background-position: 16px 50%;
  background-repeat: no-repeat;
  padding: 0 14px 0 52px;

  &::placeholder {
    color: $color-gray;
    line-height: 110%;
  }

  &:focus {
    outline-color: $border-button-color-blue;
  }

  &:invalid {
    outline-color: $color-red;
  }

  &::-webkit-outer-spin-button,
  &::-webkit-inner-spin-button {
    appearance: none;
  }

  &.email {
    background-image: url('../../../assets/icons/inputs/email.svg');
  }

  &.cardName {
    background-image: url('../../../assets/icons/inputs/name.svg');
  }

  &.cardNumber {
    background: url('../../../assets/icons/inputs/card.svg') 16px 50% no-repeat,
      url('../../../assets/icons/cards/discover.svg') calc(100% - 16px) 50%
        no-repeat,
      url('../../../assets/icons/cards/american.svg') calc(100% - 39px) 50%
        no-repeat,
      url('../../../assets/icons/cards/visa.svg') calc(100% - 57px) 50%
        no-repeat,
      url('../../../assets/icons/cards/mastercard.svg') calc(100% - 80px) 50%
        no-repeat;
    grid-column: 1 / 3;
    border-bottom: none;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    padding-right: 117px;

    @include custom-min-width($md) {
      background-position: 24px 50%, calc(100% - 24px) 50%,
        calc(100% - 57px) 50%, calc(100% - 80px) 50%, calc(100% - 109px) 50%;
      padding-right: 143px;
    }

    &:focus {
      border-bottom: 1px solid $border-input-color;
    }
  }

  &.cardDate {
    background-image: url('../../../assets/icons/inputs/month.svg');
    border-radius: 0;
    border-bottom-left-radius: 4px;
  }

  &.cardCode {
    background-image: url('../../../assets/icons/inputs/code.svg');
    border-radius: 0;
    border-bottom-right-radius: 4px;
    border-left: none;
  }

  &.coupon {
    padding-left: 16px;
    padding-right: 76px;
  }

  &.error {
    outline-color: $color-red;
  }
}
